![Vapor](https://cloud.githubusercontent.com/assets/1342803/14401223/7af2ade6-fdd7-11e5-9d6c-0ca302b274ef.png)

# Vapor

A Web Framework for Swift that works on iOS, OS X, and Ubuntu.

- [x] Pure Swift
- [x] Modular
- [x] Beautifully expressive

![Swift](https://camo.githubusercontent.com/0727f3687a1e263cac101c5387df41048641339c/68747470733a2f2f696d672e736869656c64732e696f2f62616467652f53776966742d332e302d6f72616e67652e7376673f7374796c653d666c6174)
[![Build Status](https://api.travis-ci.org/qutheory/vapor.svg?branch=master)](https://travis-ci.org/qutheory/vapor)
[![Slack Status](http://qutheory.io:8001/badge.svg)](http://slack.qutheory.io)
[![codebeat badge](https://codebeat.co/badges/3334c72c-c6e6-4061-a86b-f077b5250252)](https://codebeat.co/projects/github-com-qutheory-vapor)
[![PRs Welcome](https://img.shields.io/badge/prs-welcome-brightgreen.svg)](http://makeapullrequest.com)

Vapor is the first true web framework for Swift. It provides a beautifully expressive and easy to use foundation for your next website or API.

This repository is the framework's source code. To view a sample project, check out the [Vapor Example](https://github.com/qutheory/vapor-example).

## 📖 Documentation

Visit the [Documentation](http://docs.qutheory.io) for extensive information on getting setup, using, and deploying Vapor.

## 🚀 Contributing

To contribute a **feature or idea** to Vapor, submit an issue and fill in the template. If the request is approved, you or one of the members of the community can start working on it.

If you find a **bug**, please submit a pull request with a failing test case displaying the bug or create an issue.

If you find a **security vulnerability**, please contact [tanner@qutheory.io](tanner@qutheory.io) as soon as possible. We take these matters seriously.

## 💙 Code of Conduct

Our goal is to create a safe and empowering environment for anyone who decides to use or contribute to Vapor. Please help us make the community a better place by abiding to this [Code of Conduct](https://github.com/qutheory/vapor/blob/master/CODE_OF_CONDUCT.md) during your interactions surrounding this project. 

## 🔧 Compatibility

Vapor has been tested on OS X 10.11, Ubuntu 14.04, and Ubuntu 15.10. 

Our homepage [http://qutheory.io](http://qutheory.io) is currently running using Vapor on DigitalOcean.


## ⚠️ Work in Progress

This is a work in progress, so *do not* rely on this for anything important. And pull requests are welcome!


## 👥 Authors

Made by [Tanner Nelson](https://twitter.com/tanner0101), [Logan Wright](https://twitter.com/logmaestro), and the hundreds of members of the Qutheory community.
